Bug 60432 - REGRESSION (r78846): Insufficient expansion for justification when there are multiple inline boxes
Summary: REGRESSION (r78846): Insufficient expansion for justification when there are ...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P1 Normal
Assignee: mitz@webkit.org
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2011-05-06 23:38 PDT by mitz@webkit.org
Modified: 2011-05-26 15:44 PDT (History)
6 users (show)

See Also:


Attachments
Test case (306 bytes, text/html)
2011-05-06 23:39 PDT, mitz@webkit.org
no flags Details
Treat text box expansion as the int that it is (2.72 MB, patch)
2011-05-07 13:14 PDT, mitz@webkit.org
darin: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
Archive of layout-test-results from ec2-cr-linux-01 (438.40 KB, application/zip)
2011-05-07 21:12 PDT, WebKit Review Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description mitz@webkit.org 2011-05-06 23:38:58 PDT
Test case attached.
Comment 1 mitz@webkit.org 2011-05-06 23:39:42 PDT
Created attachment 92686 [details]
Test case
Comment 2 mitz@webkit.org 2011-05-07 00:14:22 PDT
I have a fix for this.
Comment 3 mitz@webkit.org 2011-05-07 00:15:09 PDT
<rdar://problem/9401853>
Comment 4 mitz@webkit.org 2011-05-07 13:14:24 PDT
Created attachment 92696 [details]
Treat text box expansion as the int that it is
Comment 5 Adam Barth 2011-05-07 15:17:08 PDT
This patch appears to cause a large number of tests to fail on the Chromium Linux port.  Note: the tool stops counting at 20.

Regressions: Unexpected text diff mismatch : (20)
  css2.1/t0905-c5525-fltcont-00-d-g.html = TEXT
  css2.1/t0905-c5525-fltwidth-00-c-g.html = TEXT
  css2.1/t1602-c546-txt-align-00-b.html = TEXT
  fast/repaint/line-flow-with-floats-1.html = TEXT
  fast/repaint/line-flow-with-floats-10.html = TEXT
  fast/repaint/line-flow-with-floats-2.html = TEXT
  fast/repaint/line-flow-with-floats-3.html = TEXT
  fast/repaint/line-flow-with-floats-4.html = TEXT
  fast/repaint/line-flow-with-floats-5.html = TEXT
  fast/repaint/line-flow-with-floats-6.html = TEXT
  fast/repaint/line-flow-with-floats-7.html = TEXT
  fast/repaint/line-flow-with-floats-8.html = TEXT
  fast/repaint/line-flow-with-floats-9.html = TEXT
  svg/custom/svg-fonts-in-html.html = TEXT
  tables/mozilla/marvin/x_tbody_align_justify.xml = TEXT
  tables/mozilla/marvin/x_td_align_justify.xml = TEXT
  tables/mozilla/marvin/x_tfoot_align_justify.xml = TEXT
  tables/mozilla/marvin/x_th_align_justify.xml = TEXT
  tables/mozilla/marvin/x_thead_align_justify.xml = TEXT
  tables/mozilla/marvin/x_tr_align_justify.xml = TEXT
Comment 6 mitz@webkit.org 2011-05-07 15:21:01 PDT
(In reply to comment #5)
> This patch appears to cause a large number of tests to fail on the Chromium Linux port.  Note: the tool stops counting at 20.

These are all tests with platform-specific results which the patch includes updated results for (for Mac OS X).
Comment 7 Adam Barth 2011-05-07 15:53:13 PDT
> These are all tests with platform-specific results which the patch includes updated results for (for Mac OS X).

Makes sense.  Hopefully in the future the bots can provide you with platform-specific results for other platforms automatically.  (We're not quite there yet, unfortunately.)  Currently the patch is causing the bot to spin.  Once I fix that bug, the bot might spam this thread once more.
Comment 8 WebKit Review Bot 2011-05-07 21:12:47 PDT
Comment on attachment 92696 [details]
Treat text box expansion as the int that it is

Attachment 92696 [details] did not pass chromium-ews (chromium-xvfb):
Output: http://queues.webkit.org/results/8646153

New failing tests:
tables/mozilla/marvin/x_tr_align_justify.xml
css2.1/t0905-c5525-fltwidth-00-c-g.html
tables/mozilla/marvin/x_thead_align_justify.xml
fast/repaint/line-flow-with-floats-6.html
fast/repaint/line-flow-with-floats-8.html
tables/mozilla/marvin/x_th_align_justify.xml
tables/mozilla/marvin/x_tfoot_align_justify.xml
css2.1/t1602-c546-txt-align-00-b.html
fast/repaint/line-flow-with-floats-2.html
fast/repaint/line-flow-with-floats-10.html
fast/repaint/line-flow-with-floats-5.html
fast/repaint/line-flow-with-floats-1.html
fast/repaint/line-flow-with-floats-4.html
fast/repaint/line-flow-with-floats-3.html
css2.1/t0905-c5525-fltcont-00-d-g.html
fast/repaint/line-flow-with-floats-7.html
tables/mozilla/marvin/x_td_align_justify.xml
fast/repaint/line-flow-with-floats-9.html
svg/custom/svg-fonts-in-html.html
tables/mozilla/marvin/x_tbody_align_justify.xml
Comment 9 WebKit Review Bot 2011-05-07 21:12:51 PDT
Created attachment 92724 [details]
Archive of layout-test-results from ec2-cr-linux-01

The attached test failures were seen while running run-webkit-tests on the chromium-ews.
Bot: ec2-cr-linux-01  Port: Chromium  Platform: Linux-2.6.35-28-virtual-x86_64-with-Ubuntu-10.10-maverick
Comment 10 mitz@webkit.org 2011-05-08 09:31:14 PDT
Fixed in r86028. <http://trac.webkit.org/changeset/86028>
Comment 11 WebKit Review Bot 2011-05-08 10:33:51 PDT
http://trac.webkit.org/changeset/86028 might have broken Qt Linux Release
The following tests are not passing:
fast/multicol/vertical-lr/float-avoidance.html
Comment 12 Ademar Reis 2011-05-26 15:44:29 PDT
Revision r86028 cherry-picked into qtwebkit-2.2 with commit 7e1bab1 <http://gitorious.org/webkit/qtwebkit/commit/7e1bab1>